= form.label :name, s_('Profiles|Full name')
- if user.read_only_attribute?(:name)
  = form.text_field :name, class: 'gl-form-input form-control', required: true, readonly: true
  %small.form-text.text-gl-muted
    = s_("Profiles|Your name was automatically set based on your %{provider_label} account, so people you know can recognize you") % { provider_label: attribute_provider_label(:name) }
- elsif can?(current_user, :update_name, user)
  = form.text_field :name, class: 'gl-form-input form-control', required: true, title: s_("Profiles|Using emoji in names seems fun, but please try to set a status message instead")
  %small.form-text.text-gl-muted
    = s_("Profiles|Enter your name, so people you know can recognize you.")
    = safe_format(s_("Profiles|No \"&lt;\" or \"&gt;\" characters, please."))
- else
  = form.text_field :name, class: 'gl-form-input form-control', required: true, readonly: true
  %small.form-text.text-gl-muted
    = s_("Profiles|The ability to update your name has been disabled by your administrator.")
